aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <jacmet@sunsite.dk>2009-09-10 10:32:45 +0200
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2009-09-10 10:32:45 +0200
commit5cc0622a14054b8b2b1e2d5f37565a31f65c6511 (patch)
tree26b69ca7523b01a0ca4acc77bc4e67254289162e
parentcd411d0d9c3c580e29cbcf607d71d3acd20b0db6 (diff)
downloadbuildroot-5cc0622a14054b8b2b1e2d5f37565a31f65c6511.tar.gz
buildroot-5cc0622a14054b8b2b1e2d5f37565a31f65c6511.tar.bz2
toolchain/gcc: make 4.3.4 default
There still seems to be some issues with 4.4.x and C++. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--toolchain/gcc/Config.in5
1 files changed, 3 insertions, 2 deletions
diff --git a/toolchain/gcc/Config.in b/toolchain/gcc/Config.in
index 8246a9595e..279e10152b 100644
--- a/toolchain/gcc/Config.in
+++ b/toolchain/gcc/Config.in
@@ -4,7 +4,7 @@ comment "GCC Options"
choice
prompt "GCC compiler Version"
- default BR2_GCC_VERSION_4_3_3 if !BR2_avr32
+ default BR2_GCC_VERSION_4_3_4 if !BR2_avr32
default BR2_GCC_VERSION_4_2_3 if BR2_avr32
help
Select the version of gcc you wish to use.
@@ -49,11 +49,12 @@ choice
config BR2_GCC_VERSION_4_3_2
depends on !BR2_avr32 && !BR2_nios2
- depends on BR2_RECENT || BR2_DEPRECATED
+ depends on BR2_DEPRECATED
bool "gcc 4.3.2"
config BR2_GCC_VERSION_4_3_3
depends on !BR2_avr32 && !BR2_nios2
+ depends on BR2_RECENT || BR2_DEPRECATED
bool "gcc 4.3.3"
config BR2_GCC_VERSION_4_3_4